<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>City (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="City (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42,"i2":42,"i3":42,"i4":42,"i5":42,"i6":42,"i7":42,"i8":42,"i9":42,"i10":42,"i11":42,"i12":42,"i13":42,"i14":42,"i15":42,"i16":42,"i17":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/City.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/Branding.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/CityCoverageRequest.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/City.html" target="_top">Frames</a></li>
<li><a href="City.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.urbanmobility</div>
<h2 title="Class City" class="title">Class City</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.urbanmobility.City</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
<br>
<pre>@Deprecated
public class <span class="typeNameLabel">City</span>
extends java.lang.Object</pre>
<div class="block">Represents a city with the associated city coverage information.
 <p>
 IMPORTANT: Urban Mobility Coverage Search is a Beta feature. The related classes are subject to change
 without notice.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object o)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getCountry--">getCountry</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the name of the country that the city belongs to.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getCreated--">getCreated</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the date that the city information was created.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getDisplayName--">getDisplayName</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets hint of how name, state and country could be displayed in screen.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getDistance--">getDistance</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets distance to be used when user coordinates are known.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getLocation--">getLocation</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets geo coordinates of the city.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/MissingCoverage.html" title="class in com.here.android.mpa.urbanmobility">MissingCoverage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getMissingCoverage--">getMissingCoverage</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets information about missing operators, lines or timetables.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getName--">getName</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the city.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Operator.html" title="class in com.here.android.mpa.urbanmobility">Operator</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getOperators--">getOperators</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets operators serving city.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getPopulation--">getPopulation</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the city population.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Provider.html" title="class in com.here.android.mpa.urbanmobility">Provider</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getProviders--">getProviders</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets coverage data providers.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getQuality--">getQuality</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the percentage of the city coverage in between 0.0 (nothing covered)
 and 1.0 (completely covered).</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getRelevancy--">getRelevancy</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets city relevancy as a weight value [0..1], that reflects how relevant this
 city should be for user when user is in some specific location.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getState--">getState</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the state that the city belongs to.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getStopsCount--">getStopsCount</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the number of stops found in this city.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getTransportsCount--">getTransportsCount</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the number of transports found.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#getUpdated--">getUpdated</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the date the city information was updated.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/City.html#hashCode--">hashCode</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public java.lang.String getName()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the city. Name is localized according to Locale.getDefault(). If given
 language is not supported English version is returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name of the city.</dd>
</dl>
</li>
</ul>
<a name="getCountry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCountry</h4>
<pre>public java.lang.String getCountry()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the name of the country that the city belongs to. Country name is localized according
 to Locale.getDefault(). If given language is not supported English version is returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name of the country.</dd>
</dl>
</li>
</ul>
<a name="getCreated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCreated</h4>
<pre>public java.util.Date getCreated()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the date that the city information was created.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The date the city information was created.</dd>
</dl>
</li>
</ul>
<a name="getUpdated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUpdated</h4>
<pre>public java.util.Date getUpdated()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the date the city information was updated.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The date the city information was updated.</dd>
</dl>
</li>
</ul>
<a name="getLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocation</h4>
<pre>public <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common">GeoCoordinate</a> getLocation()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets geo coordinates of the city.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Geo coordinates of the city.</dd>
</dl>
</li>
</ul>
<a name="getDisplayName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDisplayName</h4>
<pre>public java.lang.String getDisplayName()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets hint of how name, state and country could be displayed in screen.
 There is no guarantee that this hint must be correct. Display name is localized according
 to Locale.getDefault(). If given language is not supported English version is returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Display name string or empty string.</dd>
</dl>
</li>
</ul>
<a name="getDistance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistance</h4>
<pre>public int getDistance()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets distance to be used when user coordinates are known.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Distance in meters, or -1 if not available.</dd>
</dl>
</li>
</ul>
<a name="getRelevancy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRelevancy</h4>
<pre>public double getRelevancy()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets city relevancy as a weight value [0..1], that reflects how relevant this
 city should be for user when user is in some specific location. This will mostly give
 correct results but it cannot be guaranteed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>City relevancy 0..1, or -1.0 if not available.</dd>
</dl>
</li>
</ul>
<a name="getState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre>public java.lang.String getState()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets name of the state that the city belongs to.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Name of the state that the city belongs to, or empty string if not available.</dd>
</dl>
</li>
</ul>
<a name="getPopulation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPopulation</h4>
<pre>public int getPopulation()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the city population.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>City population, or -1 if not available.</dd>
</dl>
</li>
</ul>
<a name="getStopsCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStopsCount</h4>
<pre>public int getStopsCount()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the number of stops found in this city.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of stops found, or -1 if not available.</dd>
</dl>
</li>
</ul>
<a name="getQuality--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQuality</h4>
<pre>public float getQuality()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the percentage of the city coverage in between 0.0 (nothing covered)
 and 1.0 (completely covered).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>City coverage quality from 0.0 to 1.0, or -1.0 if not available.</dd>
</dl>
</li>
</ul>
<a name="getTransportsCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransportsCount</h4>
<pre>public int getTransportsCount()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the number of transports found.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Number of transports found, or -1 if not available.</dd>
</dl>
</li>
</ul>
<a name="getMissingCoverage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMissingCoverage</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/MissingCoverage.html" title="class in com.here.android.mpa.urbanmobility">MissingCoverage</a> getMissingCoverage()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets information about missing operators, lines or timetables.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Information about missing operators, lines or timetables, or null if not available.</dd>
</dl>
</li>
</ul>
<a name="getOperators--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperators</h4>
<pre>public java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Operator.html" title="class in com.here.android.mpa.urbanmobility">Operator</a>&gt; getOperators()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets operators serving city.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Collection of operators serving city.</dd>
</dl>
</li>
</ul>
<a name="getProviders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProviders</h4>
<pre>public java.util.Collection&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/Provider.html" title="class in com.here.android.mpa.urbanmobility">Provider</a>&gt; getProviders()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets coverage data providers.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Collection of data providers.</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object o)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/City.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/Branding.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/CityCoverageRequest.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/City.html" target="_top">Frames</a></li>
<li><a href="City.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
